(*  
 *  This file is a component of PropPlan a model-based planner
 *  Copyright (C) 2000-2007  Michael Paul Fourman

 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *)
signature KEYWORD =
  sig
  val alphas: string list
  and symbols: string list
  end;

functor KEYWORD() =
struct
val alphas = ["define","strips","adl","typing","axiom",
	      "and","not", "or", "imply","iff","exists","forall","when", "either","object",
	      "types","constants","predicates", "requirements",
	      "action","parameters","precondition","effect",
	      "domain","objects","init","goal",
	      "problem"]
val symbols = ["(",")",":","?","-", "<"]

end ;
